Tarjeta de Video sis630

Ante todo mid cordiales saludos.
Tengo una PCs pentiumIII que trabaja con una tarjeta de video sis630 integrada la cual al la hora de la instalación de LINUX NO ME ACEPTA YA QUE NO ESTA EN LA LISTA QUE TIENE LINUX RED HAT 6.1 CONECTIVA.
Me han dicho que la solución es instalar RED HAT 7 pero la verdad que no la tengo a la mano y quisiera saber que puedo hacer ya tengo el drivers a la mano pero me falta los pasos para hacer compilarlo el drivers.
Por favor dame una solución ya que es muy importante para la institución el la cual estoy trabajando...
1

1 Respuesta

6.125 pts.
El problema es que RH 6.1 trae la versión 3.3.x de XFree, y ésta soportaba hasta el SiS620. Para poder utilizar tu SiS630 necesitas la versión 4 de XFree. Si solo bajaste el servidor SVGA correspondiente puede ser que te funcione, pero te va a dar problemas de dependencias. Lo más seguro es actualizar todo tu XFree a la versión 4.
Para hacer esto tienes tres caminos: una posibilidad es bajarte todo el tar. Gz de http://www.xfree86.org, hacer tar xvfz <archivo> y luego cd <directoriocreado>; make World; make install, y esperar entre 45 y 120 minutos, según tu máquina. Este método te asegura la última versión, pero no utiliza rpm's.
La segunda es utilizando los rpm de XFree 4, pero esto te traerá algunos problemillas, pues resulta que la versión de rpm de RH 6.1 no soportaba rpms versión 4 (que es la que usa XFree4). Tendrías que actualizar tu rpm también (con todos los problemas que eso lleva). Si te animas, hay una explicación paso a paso en http://www.slashdot.org/articles/00/07/15/1534234.shtml, fíjate en el comentario "Here's how I did it". Si quieres esta solución y tienes problemas con la traducción o implementación, postea otra vez por favor.
Una tercera opción sería hacerles caso e instalar RH 7.1 (no te recomiendo 7.0, tenía muchos problemas como una versión gcc incompatible y otros). Esto te conserva en lo posible tu configuración y hasta te actualiza otros programas, como el glibc.
En pocas palabras, el primer método es más sencillo y seguro, pero podría causar a la larga problemas con alguna aplicación que instalaras que requiriera saber que está instalado el rpm de XFree 4 (que igual puedes solucionar con un --ignore al instalar). El segundo te conserva tus dependencias rpm, pero es más difícil y puede causarte algunos problemas, el tercero es más fácil, pero tienes que conseguir el RH (pues lo bajas de http://www.redhat.com y ya, ¿no?)
A todo esto, ¿qué "drivers" bajaste? (¿Cómo se llama el archivo?)

Añade tu respuesta

Haz clic para o

Más respuestas relacionadas